<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>营销策略</h5>
            <div class="ibox-tools">
                <a class="btn btn-primary btn-xs edit-btn" data-id="0" href="javascript:void(0);" onclick="create(0)">
                    <i class="fa fa-plus"></i> 添加
                </a>
                <a class="btn btn-primary btn-xs edit-btn" data-id="0" href="javascript:void(0);" onclick="$('#listTable').bootstrapTable('refresh');">
                    <i class="fa fa-refresh"></i> 刷新
                </a>
            </div>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <table id="listTable">
                        <thead>
                        <tr>
                            <th data-field="id">ID</th>
                            <th data-field="celuo_name">策略名字</th>
                            <th data-field="begin_date">开始日期</th>
                            <th data-field="end_date">截止日期</th>
                            <th data-field="remark">策略描述</th>
                            <th data-formatter="opFormatter">操作</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<?php $this->beginBlock('footer_js'); ?>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
<script>
    function opFormatter(value, row, index) {
        var opStr = [];
        opStr.push('<a href="javascript:void(0);" onclick="edit(' + row.id + ')">');
        opStr.push('<i class="fa fa-edit" title="编辑"></i>');
        opStr.push('</a>');
        opStr.push('<a href="javascript:void(0);" onclick="del(' + row.id + ')">');
        opStr.push('<i class="fa fa-trash" title="删除"></i>');
        opStr.push('</a>');

        return opStr.join(' ');
    }
    function create() {
        title = '新增营销策略';
        layer_show(title, '/marketing-strategy/add');
    }
    function edit(id) {
        var title = '编辑营销策略';
        window.location.href = '/marketing-strategy/edit?id=' + id;
    }
    function del(id) {
        parent.layer.confirm('是否确认删除？', {
            btn: ['删除','取消'], //按钮
            shade: false //不显示遮罩
        }, function(){
            $.post('/marketing-strategy/delete',{id:id},function(data) {
                parent.layer.msg(data.msg);
                if(data.success) {
                    refreshList();
                }
            }, 'json');
        }, function(){
            //
        });
    }
    function refreshList() {
        $('#listTable').bootstrapTable('refresh');
    }

    function search() {
        $('#listTable').bootstrapTable('destroy');
        $('#listTable').bootstrapTable({
            url: "/marketing-strategy/index-json",
            pagination: true,
            sidePagination: 'server',
            queryParams: function(params) {
                return params;
            }
        });
        return false;
    }

    $(function() {
        search();
    });
</script>
<?php $this->endBlock(); ?>
